
Foreman - Bug #27666

sass-rails-5.1.0 requires ruby version >= 2.4.0

08/20/2019 08:52 AM - Tomer Brisker

Status: Closed   

Priority: High   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 1.21.4, 1.22.1, 1.23.0, 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6986,

https://github.com/theforeman/foreman/p

ull/6990,

https://github.com/theforeman/foreman/p

ull/6996

  

Description

this breaks packaging on older debians

Associated revisions

Revision 3c87d1a4 - 08/20/2019 02:18 PM - Michael Moll 

Fixes #27666 - pin sass-rails on Ruby < 2.4

Revision 1809d8ad - 08/21/2019 07:16 AM - Michael Moll 

Refs #27666 - pin sass-rails on Ruby < 2.4 even lower

Revision c23a83af - 08/23/2019 01:02 PM - Ewoud Kohl van Wijngaarden

Refs #27666 - Clean up sass-rails pinning

This is semantically the same, but makes it a bit easier on the

packaging side where we have a script that converts it into the RPM

spec. Previously it generated:

Requires: %{?scl_prefix_ror}rubygem(sass-rails) >= 5.0

    Requires: %{?scl_prefix_ror}rubygem(sass-rails) < 6.0

    Requires: %{?scl_prefix_ror}rubygem(sass-rails) < 6

 After it generates:

Requires: %{?scl_prefix_ror}rubygem(sass-rails) >= 5.0

    Requires: %{?scl_prefix_ror}rubygem(sass-rails) < 6.0

History

#1 - 08/20/2019 10:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman/pull/6986 added

#2 - 08/20/2019 02:18 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 08/20/2019 02:27 PM - Anonymous

- Fixed in Releases 1.21.4, 1.22.1, 1.23.0 added
#4 - 08/20/2019 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 3c87d1a471b7c54359a155b795406896466b645d.

#5 - 08/20/2019 08:34 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6990 added

#6 - 08/23/2019 09:49 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6996 added
